/* CSS that ALL pages will nedd */

body{
    width:1000px;
    margin:auto;
    font-family: Verdana,Arial;
    /*background-image:url('../ressources/site_background.jpg');*/
    background-color:#f4f7f5;
    background-size:auto auto;
}


header{
    background-image:linear-gradient(#5f6668, #3b4547); 
    width:100%; /* the header takes the whole width of the body */
    padding:0px 30px 0px 30px;
    position:relative;
    display:inline-block;
    border-radius:0 0 10px 10px;
}


h1{
    color:#e0e0e0;
    display:inline-block;
    width:180px;
    font-variant:small-caps;
    text-align:center;
    position:relative;
    right:10px;
    text-shadow: 3px 3px 3px rgba(150, 150, 150, 1);
}


header img{
    /* Displaying the logo and search bar side to side */
    display:inline-block;
    margin-right:30px;
    margin-bottom:-40px;
    width:150px;
}




form{
    display:inline-block;
}

#search{
    /* Modifying the search bar */
    display:inline-block;
    position:relative;
    background-image:url('../ressources/loupe.png');
    background-repeat:no-repeat;
    background-position:left center;
    padding-left:55px;
    height:50px;
    font-size:2.3em;
    bottom:80px;
    left:20px;
    border-radius:5px;

}

#search:focus{
    border : 3px solid black;
}

#buttonSearch{
    display:inline-block;
    height:50px;
    width:120px;
    font-size:1.2em;
    border:none;
    background-color:#01c62c;
    cursor:pointer;
    color:black;
    position:relative;
    left:140px;
    bottom:86px;
    margin-left:10px;
}

#buttonSearch:hover{
    border:2px solid black;
}

#select{
    /* We place the select options to the right of the "search" button */
    position:relative;
    bottom:85px;
    left:35px;
    height:40px;
    font-size:1.15em;

}

#addMovie {
    /* When leaving the link, reverse the animation */
    animation-name:offTheAddMovieLink;
    animation-duration:0.5s;
    animation-fill-mode:forwards;

    display:inline-block;
    position:absolute;
    bottom:10px;
    right:15px;
    padding:10px;
    border-radius:5px 5px 5px 5px; /* rounded corners */
    border: 2px black inset;
    text-decoration:none; /* not underline link */
    color:white;
}

@keyframes onTheAddMovieLink{
    /* The animation when passing the cursor over the link */
    from {background-color:#5D5E3E;} /*The starting color */
    to   {background-color:#878400;} /* The ending color */
}

@keyframes offTheAddMovieLink{
    /* Same as above, but reverse colors */
    from {background-color:#878400;}
    to   {background-color:#5D5E3E;}
}

#addMovie:hover{
    /* When cursor over the link, we enable the animation.
       It lasts 0.5s*/
    animation-name:onTheAddMovieLink;
    animation-duration:0.5s;
    animation-fill-mode:forwards;/*We keep the final animation color */
}


@keyframes onTheAddGenreLink{
    /* The animation when passing the cursor over the link */
    from {background-color:#5D5E3E;} /*The starting color */
    to   {background-color:#8c5d07;} /* The ending color */
}

@keyframes offTheAddGenreLink{
    /* Same as above, but reverse colors */
    from {background-color:#8c5d07;}
    to   {background-color:#5D5E3E;}
}


#addGenre{
    /* When leaving the link, reverse the animation */
    animation-name:offTheAddGenreLink;
    animation-duration:0.5s;
    animation-fill-mode:forwards;

    display:inline-block;
    position:absolute;
    bottom:10px;
    right:150px;
    padding:10px;
    border-radius:5px 5px 5px 5px; /* rounded corners */
    border: 2px black inset;
    text-decoration:none; /* not underline link */
    color:white;

}


#addGenre:hover{
    /* When cursor over the link, we enable the animation.
       It lasts 0.5s*/
    animation-name:onTheAddGenreLink;
    animation-duration:0.5s;
    animation-fill-mode:forwards;/*We keep the final animation color */
}


aside{
    /* Layout for the links to filter genres */;
    position:relative;
    width:150px;
    top:15px;
    padding:1px 20px 17px 10px;
    background-color:#1d2729;
    border-radius:10px;
    float:left;
    margin-right:50px;
}

aside li{
    margin-bottom:10px;
}

aside h3{
    text-align:center;
    color:white;
    font-size:1.4em;
    border: 2px inset grey;
    position:relative;
    left:5px;
    border-radius:10px;
}

ul li{
    margin-bottom:10px;
    list-style-type:none;
}

@keyframes onGenre{
    /* The animation when passing the cursor over the link */
    from {background-color:#1d2729;} /*The starting color */
    to   {background-color:#384447;} /* The ending color */
}

@keyframes offGenre{
    /* Same as above, but reverse colors */
    from {background-color:#384447;}
    to   {background-color:#1d2729;}
}

ul li a:hover{
    animation-name:onGenre;
    animation-duration:0.3s;
    animation-fill-mode:forwards;/*We keep the final animation color */
}

ul li a{
    animation-name:offGenre;
    animation-duration:0.3s;
    animation-fill-mode:forwards;


    display:inline-block;
    color:white;
    position:relative;
    text-decoration:none;   
    padding:5px;
    text-align:center;
    width:169px;
    right:49px;
    margin-bottom:-30px;
}


.movies{
    display:inline-block;
    border:2px solid black;
    width:340px;
    height:245px;
    margin-right:35px;
    margin-bottom:35px;
}


section img{
    width:45%;
    height:100%;
    margin-right:4px;
    border-right:2px solid black;
}

div h3{
    border:none;
    color:black;
    font-size:1.2em;
    left:-1px;
    bottom:10px;
    margin-bottom:-10px;
}

.infos{
    display:inline-block;
    width:51%;
    height:240px;
    margin-left:3px;
    position:relative;
    padding-bottom:30px;
    vertical-align:top;
}

#genreFilm{
    font-style:italic;
}

.infos p{
    position:relative;
    left:10px;
    width:90%;
    font-size:0.85em;
    text-align:left;
}


a h3{
    display:inline-block;
    position:relative;
    text-decoration:none;
 
    color:#00347c;
    width:100%;
    text-align:center;

}

a:hover h3{
    color:#014bb2;
}
